<?php
/*
Plugin Name: AStat
Version: 1.0
Description: Statistiques avancées
Plugin URI: http://phpwebgallery.net/ext/extension_view.php?eid=172
*/

/* ----------------------------------------------------------------------

Author : grum@grum.dnsalias.com :: http://photos.grum.dnsalias.com

1.0   - 1ère version
 
   ---------------------------------------------------------------------- */

if (!defined('PHPWG_ROOT_PATH')) die('Hacking attempt!');

define('ASTAT_DIR' , basename(dirname(__FILE__)));
define('ASTAT_PATH' , PHPWG_PLUGINS_PATH . ASTAT_DIR . '/');

class AStat_Plugin
{ 
    var $my_config;

	/* charge la configuration dans le fichier data.dat */
	function load_config()
	{
	        $x = @file_get_contents( dirname(__FILE__).'/data.dat' );
	        if ($x!==false)
	        {
	            $c = unserialize($x);
	            $this->my_config = $c;
	        }
	 
	        if((!isset($this->my_config)))
	        {
	            $this->my_config['AStat_BarColor_Pages'] = '6666ff';
	            $this->my_config['AStat_BarColor_Img'] = '66ff66';
	            $this->my_config['AStat_BarColor_IP'] = 'ff6666';
	            $this->my_config['AStat_MouseOverColor'] = '303030';
	            $this->my_config['AStat_NpIPPerPages'] = '25';
	            $this->my_config['AStat_NpCatPerPages'] = '50';
	            $this->my_config['AStat_MaxBarWidth'] = '400';

	            $this->my_config['AStat_show_import'] = 'O';
		    $this->save_config();
	        }
	}

	/* sauvegarde de la configuration dans data.dat */
	function save_config()
	{	 
	 $file = fopen( dirname(__FILE__).'/data.dat', 'w' );
	 fwrite($file, serialize($this->my_config) );
	 fclose( $file );
	}

	/* intégration du plugin dans l'interface d'administration */
	function plugin_admin_menu($menu)
	{
	 array_push($menu,
	            array(
	                'NAME' => 'AStat',
	                'URL' => get_admin_plugin_menu_link(dirname(__FILE__).'/admin/AStat_admin.php')
	                 ));
	 return $menu;
	}

	/* modifie la feuille de style pour affichage des stats */
	function Modifie_CSS()
	{
	  global $template;

	  $text = ".AStatBar1, .AStatBar2, .AStatBar3, .AStatBarX { 
			border:0px; 
			height:8px;
			display: block;
			margin:0px;
			padding:0px;
			left:0;
			position:relative;
			}
		   .AStatBar1 {	background-color:#".$this->my_config['AStat_BarColor_Pages']."; top:3px;  }
		   .AStatBar2 {	background-color:#".$this->my_config['AStat_BarColor_Img']."; top:-3px; }
		   .AStatBar3 {	background-color:#".$this->my_config['AStat_BarColor_IP']."; top:-3px;} 
		   .AStatBarX {	background-color:none; top:0px; height:1px; } 
		   .StatTableRow:hover { background-color:#".$this->my_config['AStat_MouseOverColor']."; }
		   .formtable { text-align:left; display:block; } 
	";	  
	  if($text!="")
	  {
	    $template->assign_block_vars('head_element', array('CONTENT' => '<style type="text/css"> '.$text.' </style>'));
	  }
	}

}
$obj = new AStat_Plugin();
$obj->load_config();

 
add_event_handler('get_admin_plugin_menu_links', array(&$obj, 'plugin_admin_menu') ); 
add_event_handler('loc_end_page_header', array(&$obj, 'Modifie_CSS'));
set_plugin_data($plugin['id'], $obj)

?>
